///# random
/// <p>Random algorithm is very important for this database,because if we insert data into skiplist the random algorithm
/// will help us to select the level of the node.However if we use  incorrect random algorithm the skiplist will become a Linklist,
/// and if we want to search a data,we will waste $$ O(n^2)$$ times.</p>

#[allow(unused)]
pub mod random{
    ///
    /// ## LGC 
    /// 线性混合同余法
    ///$$
    /// x_0=SEED
    /// $$
    /// $$
    /// X_n=(A \times X_(n-1) + C)%M
    /// $$
    /// 
    static mut SEED:usize=13;                    //全局静态变量用于保存数据
    static A:usize=1103515245;
    static C:usize=12345;
    
    pub fn lgc(_level:usize)->usize{                        //线性混合同余法求解随机数
    unsafe {
            SEED=(SEED*A+C)%_level;
            dbg!(SEED);
            while SEED==0 
            {
                SEED=(SEED*A+C)%_level;
            }
            SEED
        }
    }

    pub fn lgc_withseed(_seed:usize,_level:usize)->usize
    {
        unsafe {
            SEED=(_seed*A+C)%_level;
            SEED
            }       
    }




}